Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface OrderedBidiMap

All Superinterfaces:
  BidiMap, IterableMap, java.util.Map, OrderedMap

All Known Subinterfaces:
  SortedBidiMap

All Known Implementing Classes:
  AbstractOrderedBidiMapDecorator, AbstractSortedBidiMapDecorator, DualTreeBidiMap, TreeBidiMap, UnmodifiableOrderedBidiMap, UnmodifiableSortedBidiMap

    public interface OrderedBidiMap

extends BidiMap, OrderedMap

Defines a map that allows bidirectional lookup between key and values and retains and provides access to an ordering.

Implementations should allow a value to be looked up from a key and a key to be looked up from a value with equal performance.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Method Summary
`BidiMap` | `inverseBidiMap()` Gets a view of this map where the keys and values are reversed.
`OrderedBidiMap` | `inverseOrderedBidiMap()` Gets a view of this map where the keys and values are reversed.

Methods inherited from interface org.apache.commons.collections.BidiMap
`getKey, mapIterator, put, removeValue`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from interface org.apache.commons.collections.OrderedMap
`firstKey, lastKey, nextKey, orderedMapIterator, previousKey`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Method Detail

### inverseBidiMap

    BidiMap inverseBidiMap()

  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed equally.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  Implementations must return an `OrderedBidiMap` instance, usually by forwarding to `inverseOrderedBidiMap()`.

  Specified by:
    `inverseBidiMap` in interface `BidiMap`
  Returns:
    an inverted bidirectional map

### inverseOrderedBidiMap

    OrderedBidiMap inverseOrderedBidiMap()

  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed equally.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  Returns:
    an inverted bidirectional map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.